﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using C1.Win.C1FlexGrid;


namespace FlexGridCheckboxlist
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            List<Client> _listClients = new List<Client>();
            _listClients.Add(new Client("CL001", "Collision"));
            _listClients.Add(new Client("CL003", "Collision, Liability"));
            _listClients.Add(new Client("CL004", "Comprehensive, Medical Payments, Uninsured Motorist"));
            c1FlexGrid1.DataSource = _listClients;

            //Connect CheckedListBoxDropDown form to c1DropDownControl1
            CheckedListBoxDropDown dropdown = new CheckedListBoxDropDown(new string[] { "Collision", "Comprehensive", "Liability", "Medical Payments", "Uninsured Motorist", "Additional Options" });
            c1DropDownControl1.DropDownForm = dropdown;
            //Connect c1DropDownControl1 to c1FlexGrid
            c1FlexGrid1.Cols["CoverageOptions"].Editor = c1DropDownControl1;
        }
    }

    public class Client
    {
        public Client(string id, string options)
        {
            ID = id;
            CoverageOptions = options;
        }
        public string ID { get; set; }
        public string CoverageOptions { get; set; }
    }

}
